curl --request POST \
--url https://api.virtuoussoftware.com/api/Gift/Bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"contactId": "<integer>",
"giftType": "<string>",
"giftDate": "<dateTime>",
"amount": "<double>",
"transactionSource": "<string>",
"transactionId": "<string>",
"batch": "<string>",
"segmentId": "<integer>",
"receiptSegmentId": "<integer>",
"mediaOutletId": "<integer>",
"notes": "<string>",
"isPrivate": "<boolean>",
"receiptDate": "<dateTime>",
"contactIndividualId": "<integer>",
"contactPassthroughId": "<integer>",
"cashAccountingCode": "<string>",
"state": "<string>",
"isTaxDeductible": "<boolean>",
"giftAskId": "<integer>",
"passthroughGiftAskId": "<integer>",
"grantId": "<integer>",
"contactMembershipId": "<integer>",
"currencyCode": "<string>",
"exchangeRate": "<decimal>",
"checkNumber": "<string>",
"creditCardType": "<string>",
"cryptocoinType": "<string>",
"transactionHash": "<string>",
"coinSoldForCash": "<boolean>",
"coinAmount": "<double>",
"dateCoinWasSold": "<dateTime>",
"coinSaleAmount": "<double>",
"tickerSymbol": "<string>",
"numberOfShares": "<double>",
"stockSoldForCash": "<boolean>",
"dateStockWasSold": "<dateTime>",
"stockSaleAmount": "<double>",
"nonCashGiftTypeId": "<integer>",
"nonCashGiftType": "<string>",
"description": "<string>",
"nonCashSoldForCash": "<boolean>",
"dateNonCashWasSold": "<dateTime>",
"nonCashOriginalAmount": "<double>",
"nonCashSaleAmount": "<double>",
"giftDesignations": [
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"giftPremiums": [
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
},
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
}
],
"pledgePayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"recurringGiftPayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"tributeType": "<string>",
"tributeId": "<integer>",
"tributeDescription": "<string>",
"acknowledgeeId": "<integer>",
"reversedGiftId": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"contactId": "<integer>",
"giftType": "<string>",
"giftDate": "<dateTime>",
"amount": "<double>",
"transactionSource": "<string>",
"transactionId": "<string>",
"batch": "<string>",
"segmentId": "<integer>",
"receiptSegmentId": "<integer>",
"mediaOutletId": "<integer>",
"notes": "<string>",
"isPrivate": "<boolean>",
"receiptDate": "<dateTime>",
"contactIndividualId": "<integer>",
"contactPassthroughId": "<integer>",
"cashAccountingCode": "<string>",
"state": "<string>",
"isTaxDeductible": "<boolean>",
"giftAskId": "<integer>",
"passthroughGiftAskId": "<integer>",
"grantId": "<integer>",
"contactMembershipId": "<integer>",
"currencyCode": "<string>",
"checkNumber": "<string>",
"iraCustodian": "<string>",
"creditCardType": "<string>",
"cryptocoinType": "<string>",
"transactionHash": "<string>",
"coinSoldForCash": "<boolean>",
"coinAmount": "<double>",
"dateCoinWasSold": "<dateTime>",
"coinSaleAmount": "<double>",
"tickerSymbol": "<string>",
"numberOfShares": "<double>",
"stockSoldForCash": "<boolean>",
"dateStockWasSold": "<dateTime>",
"stockSaleAmount": "<double>",
"nonCashGiftType": "<string>",
"description": "<string>",
"nonCashSoldForCash": "<boolean>",
"dateNonCashWasSold": "<dateTime>",
"nonCashOriginalAmount": "<double>",
"nonCashSaleAmount": "<double>",
"giftDesignations": [
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"giftPremiums": [
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
},
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
}
],
"pledgePayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"recurringGiftPayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"tributeType": "<string>",
"tributeId": "<integer>",
"tributeDescription": "<string>",
"acknowledgeeId": "<integer>",
"reversedGiftId": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
]
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
contactId: '<integer>',
giftType: '<string>',
giftDate: '<dateTime>',
amount: '<double>',
transactionSource: '<string>',
transactionId: '<string>',
batch: '<string>',
segmentId: '<integer>',
receiptSegmentId: '<integer>',
mediaOutletId: '<integer>',
notes: '<string>',
isPrivate: '<boolean>',
receiptDate: '<dateTime>',
contactIndividualId: '<integer>',
contactPassthroughId: '<integer>',
cashAccountingCode: '<string>',
state: '<string>',
isTaxDeductible: '<boolean>',
giftAskId: '<integer>',
passthroughGiftAskId: '<integer>',
grantId: '<integer>',
contactMembershipId: '<integer>',
currencyCode: '<string>',
exchangeRate: '<decimal>',
checkNumber: '<string>',
creditCardType: '<string>',
cryptocoinType: '<string>',
transactionHash: '<string>',
coinSoldForCash: '<boolean>',
coinAmount: '<double>',
dateCoinWasSold: '<dateTime>',
coinSaleAmount: '<double>',
tickerSymbol: '<string>',
numberOfShares: '<double>',
stockSoldForCash: '<boolean>',
dateStockWasSold: '<dateTime>',
stockSaleAmount: '<double>',
nonCashGiftTypeId: '<integer>',
nonCashGiftType: '<string>',
description: '<string>',
nonCashSoldForCash: '<boolean>',
dateNonCashWasSold: '<dateTime>',
nonCashOriginalAmount: '<double>',
nonCashSaleAmount: '<double>',
giftDesignations: [
{projectId: '<integer>', amount: '<double>', state: '<string>'},
{projectId: '<integer>', amount: '<double>', state: '<string>'}
],
giftPremiums: [
{premiumId: '<integer>', quantity: '<integer>', state: '<string>'},
{premiumId: '<integer>', quantity: '<integer>', state: '<string>'}
],
pledgePayments: [
{id: '<integer>', amount: '<double>', state: '<string>'},
{id: '<integer>', amount: '<double>', state: '<string>'}
],
recurringGiftPayments: [
{id: '<integer>', amount: '<double>', state: '<string>'},
{id: '<integer>', amount: '<double>', state: '<string>'}
],
tributeType: '<string>',
tributeId: '<integer>',
tributeDescription: '<string>',
acknowledgeeId: '<integer>',
reversedGiftId: '<integer>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
},
{
contactId: '<integer>',
giftType: '<string>',
giftDate: '<dateTime>',
amount: '<double>',
transactionSource: '<string>',
transactionId: '<string>',
batch: '<string>',
segmentId: '<integer>',
receiptSegmentId: '<integer>',
mediaOutletId: '<integer>',
notes: '<string>',
isPrivate: '<boolean>',
receiptDate: '<dateTime>',
contactIndividualId: '<integer>',
contactPassthroughId: '<integer>',
cashAccountingCode: '<string>',
state: '<string>',
isTaxDeductible: '<boolean>',
giftAskId: '<integer>',
passthroughGiftAskId: '<integer>',
grantId: '<integer>',
contactMembershipId: '<integer>',
currencyCode: '<string>',
checkNumber: '<string>',
iraCustodian: '<string>',
creditCardType: '<string>',
cryptocoinType: '<string>',
transactionHash: '<string>',
coinSoldForCash: '<boolean>',
coinAmount: '<double>',
dateCoinWasSold: '<dateTime>',
coinSaleAmount: '<double>',
tickerSymbol: '<string>',
numberOfShares: '<double>',
stockSoldForCash: '<boolean>',
dateStockWasSold: '<dateTime>',
stockSaleAmount: '<double>',
nonCashGiftType: '<string>',
description: '<string>',
nonCashSoldForCash: '<boolean>',
dateNonCashWasSold: '<dateTime>',
nonCashOriginalAmount: '<double>',
nonCashSaleAmount: '<double>',
giftDesignations: [
{projectId: '<integer>', amount: '<double>', state: '<string>'},
{projectId: '<integer>', amount: '<double>', state: '<string>'}
],
giftPremiums: [
{premiumId: '<integer>', quantity: '<integer>', state: '<string>'},
{premiumId: '<integer>', quantity: '<integer>', state: '<string>'}
],
pledgePayments: [
{id: '<integer>', amount: '<double>', state: '<string>'},
{id: '<integer>', amount: '<double>', state: '<string>'}
],
recurringGiftPayments: [
{id: '<integer>', amount: '<double>', state: '<string>'},
{id: '<integer>', amount: '<double>', state: '<string>'}
],
tributeType: '<string>',
tributeId: '<integer>',
tributeDescription: '<string>',
acknowledgeeId: '<integer>',
reversedGiftId: '<integer>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
}
])
};
fetch('https://api.virtuoussoftware.com/api/Gift/Bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Gift/Bulk"
payload = [
{
"contactId": "<integer>",
"giftType": "<string>",
"giftDate": "<dateTime>",
"amount": "<double>",
"transactionSource": "<string>",
"transactionId": "<string>",
"batch": "<string>",
"segmentId": "<integer>",
"receiptSegmentId": "<integer>",
"mediaOutletId": "<integer>",
"notes": "<string>",
"isPrivate": "<boolean>",
"receiptDate": "<dateTime>",
"contactIndividualId": "<integer>",
"contactPassthroughId": "<integer>",
"cashAccountingCode": "<string>",
"state": "<string>",
"isTaxDeductible": "<boolean>",
"giftAskId": "<integer>",
"passthroughGiftAskId": "<integer>",
"grantId": "<integer>",
"contactMembershipId": "<integer>",
"currencyCode": "<string>",
"exchangeRate": "<decimal>",
"checkNumber": "<string>",
"creditCardType": "<string>",
"cryptocoinType": "<string>",
"transactionHash": "<string>",
"coinSoldForCash": "<boolean>",
"coinAmount": "<double>",
"dateCoinWasSold": "<dateTime>",
"coinSaleAmount": "<double>",
"tickerSymbol": "<string>",
"numberOfShares": "<double>",
"stockSoldForCash": "<boolean>",
"dateStockWasSold": "<dateTime>",
"stockSaleAmount": "<double>",
"nonCashGiftTypeId": "<integer>",
"nonCashGiftType": "<string>",
"description": "<string>",
"nonCashSoldForCash": "<boolean>",
"dateNonCashWasSold": "<dateTime>",
"nonCashOriginalAmount": "<double>",
"nonCashSaleAmount": "<double>",
"giftDesignations": [
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"giftPremiums": [
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
},
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
}
],
"pledgePayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"recurringGiftPayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"tributeType": "<string>",
"tributeId": "<integer>",
"tributeDescription": "<string>",
"acknowledgeeId": "<integer>",
"reversedGiftId": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"contactId": "<integer>",
"giftType": "<string>",
"giftDate": "<dateTime>",
"amount": "<double>",
"transactionSource": "<string>",
"transactionId": "<string>",
"batch": "<string>",
"segmentId": "<integer>",
"receiptSegmentId": "<integer>",
"mediaOutletId": "<integer>",
"notes": "<string>",
"isPrivate": "<boolean>",
"receiptDate": "<dateTime>",
"contactIndividualId": "<integer>",
"contactPassthroughId": "<integer>",
"cashAccountingCode": "<string>",
"state": "<string>",
"isTaxDeductible": "<boolean>",
"giftAskId": "<integer>",
"passthroughGiftAskId": "<integer>",
"grantId": "<integer>",
"contactMembershipId": "<integer>",
"currencyCode": "<string>",
"checkNumber": "<string>",
"iraCustodian": "<string>",
"creditCardType": "<string>",
"cryptocoinType": "<string>",
"transactionHash": "<string>",
"coinSoldForCash": "<boolean>",
"coinAmount": "<double>",
"dateCoinWasSold": "<dateTime>",
"coinSaleAmount": "<double>",
"tickerSymbol": "<string>",
"numberOfShares": "<double>",
"stockSoldForCash": "<boolean>",
"dateStockWasSold": "<dateTime>",
"stockSaleAmount": "<double>",
"nonCashGiftType": "<string>",
"description": "<string>",
"nonCashSoldForCash": "<boolean>",
"dateNonCashWasSold": "<dateTime>",
"nonCashOriginalAmount": "<double>",
"nonCashSaleAmount": "<double>",
"giftDesignations": [
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"projectId": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"giftPremiums": [
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
},
{
"premiumId": "<integer>",
"quantity": "<integer>",
"state": "<string>"
}
],
"pledgePayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"recurringGiftPayments": [
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
},
{
"id": "<integer>",
"amount": "<double>",
"state": "<string>"
}
],
"tributeType": "<string>",
"tributeId": "<integer>",
"tributeDescription": "<string>",
"acknowledgeeId": "<integer>",
"reversedGiftId": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Gift/Bulk");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("[\n {\n \"contactId\": \"<integer>\",\n \"giftType\": \"<string>\",\n \"giftDate\": \"<dateTime>\",\n \"amount\": \"<double>\",\n \"transactionSource\": \"<string>\",\n \"transactionId\": \"<string>\",\n \"batch\": \"<string>\",\n \"segmentId\": \"<integer>\",\n \"receiptSegmentId\": \"<integer>\",\n \"mediaOutletId\": \"<integer>\",\n \"notes\": \"<string>\",\n \"isPrivate\": \"<boolean>\",\n \"receiptDate\": \"<dateTime>\",\n \"contactIndividualId\": \"<integer>\",\n \"contactPassthroughId\": \"<integer>\",\n \"cashAccountingCode\": \"<string>\",\n \"state\": \"<string>\",\n \"isTaxDeductible\": \"<boolean>\",\n \"giftAskId\": \"<integer>\",\n \"passthroughGiftAskId\": \"<integer>\",\n \"grantId\": \"<integer>\",\n \"contactMembershipId\": \"<integer>\",\n \"currencyCode\": \"<string>\",\n \"exchangeRate\": \"<decimal>\",\n \"checkNumber\": \"<string>\",\n \"creditCardType\": \"<string>\",\n \"cryptocoinType\": \"<string>\",\n \"transactionHash\": \"<string>\",\n \"coinSoldForCash\": \"<boolean>\",\n \"coinAmount\": \"<double>\",\n \"dateCoinWasSold\": \"<dateTime>\",\n \"coinSaleAmount\": \"<double>\",\n \"tickerSymbol\": \"<string>\",\n \"numberOfShares\": \"<double>\",\n \"stockSoldForCash\": \"<boolean>\",\n \"dateStockWasSold\": \"<dateTime>\",\n \"stockSaleAmount\": \"<double>\",\n \"nonCashGiftTypeId\": \"<integer>\",\n \"nonCashGiftType\": \"<string>\",\n \"description\": \"<string>\",\n \"nonCashSoldForCash\": \"<boolean>\",\n \"dateNonCashWasSold\": \"<dateTime>\",\n \"nonCashOriginalAmount\": \"<double>\",\n \"nonCashSaleAmount\": \"<double>\",\n \"giftDesignations\": [\n {\n \"projectId\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n },\n {\n \"projectId\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n }\n ],\n \"giftPremiums\": [\n {\n \"premiumId\": \"<integer>\",\n \"quantity\": \"<integer>\",\n \"state\": \"<string>\"\n },\n {\n \"premiumId\": \"<integer>\",\n \"quantity\": \"<integer>\",\n \"state\": \"<string>\"\n }\n ],\n \"pledgePayments\": [\n {\n \"id\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n },\n {\n \"id\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n }\n ],\n \"recurringGiftPayments\": [\n {\n \"id\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n },\n {\n \"id\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n }\n ],\n \"tributeType\": \"<string>\",\n \"tributeId\": \"<integer>\",\n \"tributeDescription\": \"<string>\",\n \"acknowledgeeId\": \"<integer>\",\n \"reversedGiftId\": \"<integer>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n },\n {\n \"contactId\": \"<integer>\",\n \"giftType\": \"<string>\",\n \"giftDate\": \"<dateTime>\",\n \"amount\": \"<double>\",\n \"transactionSource\": \"<string>\",\n \"transactionId\": \"<string>\",\n \"batch\": \"<string>\",\n \"segmentId\": \"<integer>\",\n \"receiptSegmentId\": \"<integer>\",\n \"mediaOutletId\": \"<integer>\",\n \"notes\": \"<string>\",\n \"isPrivate\": \"<boolean>\",\n \"receiptDate\": \"<dateTime>\",\n \"contactIndividualId\": \"<integer>\",\n \"contactPassthroughId\": \"<integer>\",\n \"cashAccountingCode\": \"<string>\",\n \"state\": \"<string>\",\n \"isTaxDeductible\": \"<boolean>\",\n \"giftAskId\": \"<integer>\",\n \"passthroughGiftAskId\": \"<integer>\",\n \"grantId\": \"<integer>\",\n \"contactMembershipId\": \"<integer>\",\n \"currencyCode\": \"<string>\",\n \"checkNumber\": \"<string>\",\n \"iraCustodian\": \"<string>\",\n \"creditCardType\": \"<string>\",\n \"cryptocoinType\": \"<string>\",\n \"transactionHash\": \"<string>\",\n \"coinSoldForCash\": \"<boolean>\",\n \"coinAmount\": \"<double>\",\n \"dateCoinWasSold\": \"<dateTime>\",\n \"coinSaleAmount\": \"<double>\",\n \"tickerSymbol\": \"<string>\",\n \"numberOfShares\": \"<double>\",\n \"stockSoldForCash\": \"<boolean>\",\n \"dateStockWasSold\": \"<dateTime>\",\n \"stockSaleAmount\": \"<double>\",\n \"nonCashGiftType\": \"<string>\",\n \"description\": \"<string>\",\n \"nonCashSoldForCash\": \"<boolean>\",\n \"dateNonCashWasSold\": \"<dateTime>\",\n \"nonCashOriginalAmount\": \"<double>\",\n \"nonCashSaleAmount\": \"<double>\",\n \"giftDesignations\": [\n {\n \"projectId\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n },\n {\n \"projectId\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n }\n ],\n \"giftPremiums\": [\n {\n \"premiumId\": \"<integer>\",\n \"quantity\": \"<integer>\",\n \"state\": \"<string>\"\n },\n {\n \"premiumId\": \"<integer>\",\n \"quantity\": \"<integer>\",\n \"state\": \"<string>\"\n }\n ],\n \"pledgePayments\": [\n {\n \"id\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n },\n {\n \"id\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n }\n ],\n \"recurringGiftPayments\": [\n {\n \"id\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n },\n {\n \"id\": \"<integer>\",\n \"amount\": \"<double>\",\n \"state\": \"<string>\"\n }\n ],\n \"tributeType\": \"<string>\",\n \"tributeId\": \"<integer>\",\n \"tributeDescription\": \"<string>\",\n \"acknowledgeeId\": \"<integer>\",\n \"reversedGiftId\": \"<integer>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n }\n]", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Gift/Bulk';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
contactId: '<integer>',
giftType: '<string>',
giftDate: '<dateTime>',
amount: '<double>',
transactionSource: '<string>',
transactionId: '<string>',
batch: '<string>',
segmentId: '<integer>',
receiptSegmentId: '<integer>',
mediaOutletId: '<integer>',
notes: '<string>',
isPrivate: '<boolean>',
receiptDate: '<dateTime>',
contactIndividualId: '<integer>',
contactPassthroughId: '<integer>',
cashAccountingCode: '<string>',
state: '<string>',
isTaxDeductible: '<boolean>',
giftAskId: '<integer>',
passthroughGiftAskId: '<integer>',
grantId: '<integer>',
contactMembershipId: '<integer>',
currencyCode: '<string>',
exchangeRate: '<decimal>',
checkNumber: '<string>',
creditCardType: '<string>',
cryptocoinType: '<string>',
transactionHash: '<string>',
coinSoldForCash: '<boolean>',
coinAmount: '<double>',
dateCoinWasSold: '<dateTime>',
coinSaleAmount: '<double>',
tickerSymbol: '<string>',
numberOfShares: '<double>',
stockSoldForCash: '<boolean>',
dateStockWasSold: '<dateTime>',
stockSaleAmount: '<double>',
nonCashGiftTypeId: '<integer>',
nonCashGiftType: '<string>',
description: '<string>',
nonCashSoldForCash: '<boolean>',
dateNonCashWasSold: '<dateTime>',
nonCashOriginalAmount: '<double>',
nonCashSaleAmount: '<double>',
giftDesignations: [
{projectId: '<integer>', amount: '<double>', state: '<string>'},
{projectId: '<integer>', amount: '<double>', state: '<string>'}
],
giftPremiums: [
{premiumId: '<integer>', quantity: '<integer>', state: '<string>'},
{premiumId: '<integer>', quantity: '<integer>', state: '<string>'}
],
pledgePayments: [
{id: '<integer>', amount: '<double>', state: '<string>'},
{id: '<integer>', amount: '<double>', state: '<string>'}
],
recurringGiftPayments: [
{id: '<integer>', amount: '<double>', state: '<string>'},
{id: '<integer>', amount: '<double>', state: '<string>'}
],
tributeType: '<string>',
tributeId: '<integer>',
tributeDescription: '<string>',
acknowledgeeId: '<integer>',
reversedGiftId: '<integer>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
},
{
contactId: '<integer>',
giftType: '<string>',
giftDate: '<dateTime>',
amount: '<double>',
transactionSource: '<string>',
transactionId: '<string>',
batch: '<string>',
segmentId: '<integer>',
receiptSegmentId: '<integer>',
mediaOutletId: '<integer>',
notes: '<string>',
isPrivate: '<boolean>',
receiptDate: '<dateTime>',
contactIndividualId: '<integer>',
contactPassthroughId: '<integer>',
cashAccountingCode: '<string>',
state: '<string>',
isTaxDeductible: '<boolean>',
giftAskId: '<integer>',
passthroughGiftAskId: '<integer>',
grantId: '<integer>',
contactMembershipId: '<integer>',
currencyCode: '<string>',
checkNumber: '<string>',
iraCustodian: '<string>',
creditCardType: '<string>',
cryptocoinType: '<string>',
transactionHash: '<string>',
coinSoldForCash: '<boolean>',
coinAmount: '<double>',
dateCoinWasSold: '<dateTime>',
coinSaleAmount: '<double>',
tickerSymbol: '<string>',
numberOfShares: '<double>',
stockSoldForCash: '<boolean>',
dateStockWasSold: '<dateTime>',
stockSaleAmount: '<double>',
nonCashGiftType: '<string>',
description: '<string>',
nonCashSoldForCash: '<boolean>',
dateNonCashWasSold: '<dateTime>',
nonCashOriginalAmount: '<double>',
nonCashSaleAmount: '<double>',
giftDesignations: [
{projectId: '<integer>', amount: '<double>', state: '<string>'},
{projectId: '<integer>', amount: '<double>', state: '<string>'}
],
giftPremiums: [
{premiumId: '<integer>', quantity: '<integer>', state: '<string>'},
{premiumId: '<integer>', quantity: '<integer>', state: '<string>'}
],
pledgePayments: [
{id: '<integer>', amount: '<double>', state: '<string>'},
{id: '<integer>', amount: '<double>', state: '<string>'}
],
recurringGiftPayments: [
{id: '<integer>', amount: '<double>', state: '<string>'},
{id: '<integer>', amount: '<double>', state: '<string>'}
],
tributeType: '<string>',
tributeId: '<integer>',
tributeDescription: '<string>',
acknowledgeeId: '<integer>',
reversedGiftId: '<integer>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
}
])
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 500142,
"transactionSource": null,
"transactionId": null,
"contactId": 100234,
"contactName": "Marcus Castellano",
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"giftType": "Check",
"giftTypeFormatted": "Check",
"giftDate": "2025-10-12T00:00:00Z",
"giftDateFormatted": "10/12/2025",
"amount": 1000,
"amountFormatted": "$1,000.00",
"currencyCode": "USD",
"exchangeRate": 1,
"baseCurrencyCode": "USD",
"batch": "4421",
"createDateTimeUtc": "2025-10-12T14:18:55Z",
"createdByUser": "Data Import",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"segmentId": 2012,
"segment": "Capital Campaign — Phase II",
"segmentCode": "CAP-2012",
"segmentUrl": "https://api.virtuoussoftware.com/api/Segment/2012",
"mediaOutletId": null,
"mediaOutlet": null,
"grantId": null,
"grant": null,
"grantUrl": null,
"notes": "Capital campaign pledge fulfillment",
"tribute": null,
"tributeId": null,
"tributeType": null,
"acknowledgeeIndividualId": null,
"receiptDate": "2025-10-13T08:00:00Z",
"receiptDateFormatted": "10/13/2025",
"contactPassthroughId": null,
"contactPassthroughUrl": null,
"contactIndividualId": 200234,
"cashAccountingCode": null,
"giftAskId": null,
"contactMembershipId": null,
"giftDesignations": [
{
"id": 600210,
"projectId": 1503,
"project": "Building Renovation",
"projectCode": "CAP-RENO",
"externalAccountingCode": "4400",
"projectType": "Capital",
"projectLocation": "Springfield, OR",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1503",
"amountDesignated": 1000,
"display": "Building Renovation ($1,000.00)"
}
],
"giftPremiums": [],
"pledgePayments": [
{
"id": 900201,
"expectedPaymentDate": "2025-10-01T00:00:00Z",
"expectedAmount": 1000,
"giftId": 500142,
"actualAmount": 1000
}
],
"recurringGiftPayments": [],
"giftUrl": "https://api.virtuoussoftware.com/api/Gift/500142",
"isPrivate": false,
"isTaxDeductible": true,
"customFields": [
{
"name": "SourceCode",
"value": "CAP-2012-MAIL",
"displayName": "Source Code"
},
{
"name": "AcknowledgementSent",
"value": "true",
"displayName": "Acknowledgement Sent"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Create many Gifts *not recommended*
Bulk create up to 100 Gifts at a time. Please note that this endpoint creates gifts directly onto a contact record. Using this endpoint assumes you know the precise contact the gift is matched to. Virtuous does not support cleaning up data that is caused by creating the gifts incorrectly through this endpoint. Please use the Gift Transaction endpoint as a better alternative.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The identifier of the contact this record belongs to.
The type of gift, for example Cash, Credit, Check, Stock, or Other. Must match a gift type configured for the organization.
The date the gift was received.
The monetary amount of the gift.
The name of the external system the record came from, for example Stripe or Classy. Paired with transactionId to keep imports idempotent.
The identifier of this transaction in the source system. A repeated transactionSource and transactionId pair is treated as the same transaction and is not imported twice.
The batch name used to group this gift with others for reconciliation.
The identifier of the segment this record is attributed to.
The identifier of the segment used when receipting the gift, when it differs from the gift segment.
The identifier of the media outlet that generated the response.
Free-text notes stored on the record.
When true, the record is only visible to users with permission to view private records.
The date the gift was receipted. Leave empty for gifts that have not been receipted.
The identifier of the contact individual this record belongs to.
The identifier of the contact that facilitated the gift, for a gift given through a donor advised fund or similar intermediary.
The accounting code the gift revenue is posted to.
When true, the gift is treated as tax deductible.
The identifier of the gift ask this gift fulfills.
The identifier of the grant this gift was awarded from.
The ISO 4217 code of the currency the gift was given in, for example USD.
The rate used to convert the gift amount into the organization base currency.
The check number, for gifts given by check.
The card brand, for gifts given by credit card.
A free-text description of the record.
How the gift amount is split across projects. The designated amounts must add up to the gift amount.
Show child attributes
Show child attributes
The premiums sent to the donor in exchange for the gift.
Show child attributes
Show child attributes
The pledges this gift pays down, and the amount applied to each.
Show child attributes
Show child attributes
The recurring gifts this gift pays, and the amount applied to each.
Show child attributes
Show child attributes
Whether the gift is given In Honor Of or In Memory Of the tribute.
The identifier of the tribute the gift honors.
A free-text description of the tribute.
The identifier of the contact individual who should be notified of the tribute gift.
The identifier of the gift this transaction reverses.
Custom field values to set on the record. Field names must match custom fields configured for the organization.
Show child attributes
Show child attributes
Response
OK
The unique identifier of the record in Virtuous.
The external system the record was imported from.
The identifier of this record in the source system.
The identifier of the contact this record belongs to.
The display name of the related contact.
A link to the related contact.
The giftType value, formatted for display.
The giftDate value, formatted for display.
The amount value, formatted for display.
The ISO 4217 code of the currency the gift was given in, for example USD.
The rate used to convert the gift amount into the organization base currency.
The ISO 4217 code of the organization base currency, which gift amounts are converted into for reporting.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
The identifier of the segment this record is attributed to.
A link to the related segment.
The receiptDate value, formatted for display.
The identifier of the contact individual this record belongs to.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A link to the related gift.
When true, the record is only visible to users with permission to view private records.
The custom field values stored on the record.
Show child attributes
Show child attributes
Was this page helpful?